Subject: [PATCH v2 02/10] i2c: OMAP: Add DT support for i2c controller

From: [email-masked] (Kevin Hilman)
Date: Wed, 04 Jan 2012 13:28:33 -0800

"Cousson, Benoit" <[email-masked]> writes:

> Hi Kevin,
>
> On 12/14/2011 2:06 AM, Kevin Hilman wrote:
>> Benoit Cousson<[email-masked]>  writes:
>>
>>> Add initial DT support to retrieve the frequency using a
>>> DT attribute instead of the pdata pointer if of_node exist.
>>>
>>> Add documentation for omap i2c controller binding.
>>>
>>> Based on original patches from Manju and Grant.
>>>
>>> Signed-off-by: Benoit Cousson<[email-masked]>
>>> Cc: Ben Dooks<[email-masked]>
>>
>> This seems indepenent from the rest of the series, and I can queue up
>> for merge via the I2C tree.
>>
>> Benoit, please confirm that we shouldn't have any problems if this patch
>> goes independently.
>>
>> Grant/Rob, with your ack on the bindings, I can queue this up for the
>> I2C maintainers along with some other OMAP I2C changes for v3.3.
>
> I removed the nasty bindings and got the Reviewed-by: from Rob for the
> v4 [1].
>
> Could you take it in your branch? I've just tried merging your
> for_3.3/i2c/misc on top of my for_3.3/3_omap_dt_i2c_twl branch and
> tested it successfully on OMAP4 DT boot.

Yes, I'll add v4 to my i2c/misc branch and add Grant's ack and queue.

Note that Ben Dooks has not responded to any of my queries or pull
requests, either for v3.2 fixes or for the v3.3 merge window, so
unfortunately it doesn't look like this will make it for v3.3 unless Ben
starts responding.  :(

Kevin